# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'parsefiles/version'

Gem::Specification.new do |spec|
  spec.name          = "parsefiles"
  spec.version       = Parsefiles::VERSION
  spec.authors       = ["Chris Simpson"]
  spec.email         = ["ctsimpson@gmail.com"]
  spec.description   = "Utility for parsing log files"
  spec.summary       = "Parse using regex with support for compressed files"
  spec.homepage      = "http://www.ctsimpson.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", "~> 2.1"
  spec.add_development_dependency "guard-rspec", "~> 4.2"
  spec.add_development_dependency "rubyzip"
  spec.add_dependency "thor"
end
