require 'spec_helper'
require 'parsefiles/utils'

module Parsefiles

  describe Utils do


    before(:all) do
      class Test
        include Utils
      end
    end

    it "converts a Date string to unix timestamp" do
      expect(Test.strDate_to_unix_timestamp('01-01-2014')).to eq 1388563200
    end

    it "checks for a valid date format and raises an error if the date format is wrong" do
      skip "Don't know why this test isn't working"
      # expect(Test.validate_date_format('01-01d-2014')).to raise_error
    end

    it "checks for a valid date format and doesn't return nil for a valid date format" do
      expect(Test.validate_date_format('01-01-2014')).to eq Date.parse('2014-01-01')
    end

    it "verifies that a date is within range of the start date and end date" do
      skip "TODO"
    end
  end
end
